# Console

This API provides a range of endpoints to facilitate user interactions and management within your platform. Below are the distinct sections of the API:

1. **Auth** - Endpoints related to user authentication.
2. **Account** - Endpoints for user account management.
3. **Projects** - Endpoints for project management.
4. **Manage** - Endpoints for resource management (VMs, apps, databases, Kubernetes).
5. **vHSM** - Endpoints for managing secret keys stored in Vault.
6. **Settings** - Endpoints for team configuration and interaction with team members.
7. **Billing** - Endpoints for managing payment methods and all information related to user resource usage payment.
8. **Support** - Endpoints for user technical support.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/client-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
